[![Build Status](https://github.com/andgineer/opensearch-log/workflows/ci/badge.svg)](https://github.com/andgineer/opensearch-log/actions)
[![Coverage](https://raw.githubusercontent.com/andgineer/opensearch-log/python-coverage-comment-action-data/badge.svg)](https://htmlpreview.github.io/?https://github.com/andgineer/opensearch-log/blob/python-coverage-comment-action-data/htmlcov/index.html)
# opensearch-log

opensearch-log is a Python logging handler for direct and efficient log transmission to
OpenSearch.

It integrates with Python's standard logging framework to send logs to an OpenSearch
cluster, offering a blend of efficiency, reliability, and ease of use.

## Key Features

- **Efficient Logging**: Designed for minimal impact on application performance.
- **Reliable Transmission**: Ensures consistent delivery of logs to OpenSearch.
- **Easy Integration**: Simple setup with Python's standard logging system.
- **Flexible Configuration**: Adaptable to various logging and OpenSearch setups.
- **Asynchronous Support**: Handles log transmission asynchronously for enhanced performance.

Ideal for applications ranging from small-scale projects to large enterprise systems,
OpenSearchLogHandler provides a robust and straightforward solution for managing logs
with OpenSearch.

# Documentation

[opensearch-log](https://andgineer.github.io/opensearch-log/en/)

# Developers

Do not forget to run `. ./activate.sh`.

# Scripts
    make help

# Codecov
[Report](https://app.codecov.io/gh/andgineer/opensearch-log/tree/master/src%2Fopensearch-log)
